/*
_____       _    _    Corso   Italia,  178
(_|__   .  (_   |_|_  56125           Pisa
(_|_) |)|(()_)()| |   tel.  +39  050 46380
  |   |               picosoft@picosoft.it

 Copyright (C) Picosoft s.r.l. 1995-2002

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/
package IT.picosoft.jdbc;


public class PicoBoundCol /* extends PicoObject */ {

   private int type;
   private int length;
   private int precision;
   private int scale;
   private PicoInputStream inputStream;

   public PicoBoundCol() {
      type = 9999;
      length = -1;
      precision = 0;
      scale = 0;
   }

   public void closeInputStream() {
      if(inputStream != null) {
         inputStream.invalidate();
         inputStream = null;
      }
   }

   public int getLength() {
      return length;
   }

   public int getType() {
      return type;
   }

   public int getPrecision() {
      return precision;
   }

   public int getScale() {
      return scale;
   }

   public void setInputStream(PicoInputStream jdbcodbcinputstream) {
      inputStream = jdbcodbcinputstream;
   }

   public void setLength(int i) {
      length = i;
   }

   public void setType(int i) {
      type = i;
   }

   public void setPrecision(int i) {
      precision = i;
   }

   public void setScale(int i) {
      scale = i;
   }
}
